givaromm.h File Reference
Givaro » Memory

Memory management in Givaro two memory managers: More...

`#include <cstring>`
`#include <stddef.h>`
`#include <iostream>`
`#include <new>`
`#include "givaro/givmodule.h"`
`#include "givaro/givbasictype.h"`
`#include <givaro/givconfig.h>`
Include dependency graph for givaromm.h:

## Data Structures

class | GivMMInfo
| Static informations of memory allocation. More...
class | BlocFreeList
| Data structure of a bloc. More...
class | GivMMFreeList
| Implementation of a memory manager with free-lists. More...
class | GivMMRefCount
| Memory management with reference counter on allocated data. More...
class | GivaroMM< T >
| Memory manager that allocates array of object of type T for. More...

## Namespaces

namespace | Givaro
| Namespace in which the whole Givaro library resides.

## Functions

std::ostream & | operator<< (std::ostream &o, const GivMMInfo &T)
| IO.

## Detailed Description

Memory management in Givaro two memory managers:

- the first one handle a set on free-list of blocs ;
- the second one implement a reference mecanism on the bloc.

The latter used method of the former.